Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.java.io
Class InputStreamNotSupportedException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.io.IOException
                        |
                        +--java.io.ObjectStreamException
                              |
                              +--com.novell.java.io.InputStreamNotSupportedException

public class InputStreamNotSupportedException
extends java.io.ObjectStreamException

Signals that input stream access is not available.

The DataAccessable interface provides support for Input/Output streams and random access to the data of the DataAccessable object. Some devices do not support input stream access but might support the output stream or random access. This exception is thrown if an input stream open is attempted to a device that is not supported.

See Also:
  `NInputStream`, Serialized Form

Constructor Summary
`InputStreamNotSupportedException()` Constructs an InputStreamNotSupportedException object with no detail message.
`InputStreamNotSupportedException(java.lang.String s)` Constructs an InputStreamNotSupportedException object with the specified detail message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InputStreamNotSupportedException

    public InputStreamNotSupportedException()

  Constructs an InputStreamNotSupportedException object with no detail message.

### InputStreamNotSupportedException

    public InputStreamNotSupportedException(java.lang.String s)

  Constructs an InputStreamNotSupportedException object with the specified detail message.
  Parameters:
    `s` - The detail message.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD